summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJakov Smolic <jakov.smolic@sartura.hr>2021-08-24 14:38:35 +0200
committerDavid Seifert <soap@gentoo.org>2021-08-24 14:38:35 +0200
commitb965153d7733fe0a58bdd54a378cd337e76a420c (patch)
treed7d65e09432a97b5c5720c7ed4f9476144da892c
parentapp-portage/deltup: Remove last-rited package (diff)
downloadgentoo-b965153d7733fe0a58bdd54a378cd337e76a420c.tar.gz
gentoo-b965153d7733fe0a58bdd54a378cd337e76a420c.tar.bz2
gentoo-b965153d7733fe0a58bdd54a378cd337e76a420c.zip
app-portage/getdelta: Remove last-rited package
Closes: https://bugs.gentoo.org/371635 Bug: https://bugs.gentoo.org/630814 Signed-off-by: Jakov Smolic <jakov.smolic@sartura.hr> Signed-off-by: David Seifert <soap@gentoo.org>
-rw-r--r--app-portage/getdelta/Manifest1
-rw-r--r--app-portage/getdelta/files/getdelta-0.7.9.patch252
-rw-r--r--app-portage/getdelta/getdelta-0.7.9-r2.ebuild46
-rw-r--r--app-portage/getdelta/metadata.xml8
-rw-r--r--profiles/package.mask5
5 files changed, 0 insertions, 312 deletions
diff --git a/app-portage/getdelta/Manifest b/app-portage/getdelta/Manifest
deleted file mode 100644
index e296fc62195..00000000000
--- a/app-portage/getdelta/Manifest
+++ /dev/null
@@ -1 +0,0 @@
-DIST getdelta-0.7.8.tar.bz2 10335 BLAKE2B ab2093a805649904405d23d7ec7afb2f338e87864c91f8aeb13efa2547f5493080cc1249a28a73da8e17d6b5aaff6fc00f217fe5b8df51db4fbea2420a88a523 SHA512 66374ce1a0ec5492d11478ddcaeb67b497a44357605f3cd1b9176796ca9f69d8c6865f9db188a6d7722c4ab372a5a317dfa6fafe97d9f08f76f332469f1ee2b2
diff --git a/app-portage/getdelta/files/getdelta-0.7.9.patch b/app-portage/getdelta/files/getdelta-0.7.9.patch
deleted file mode 100644
index 9ab117e59c9..00000000000
--- a/app-portage/getdelta/files/getdelta-0.7.9.patch
+++ /dev/null
@@ -1,252 +0,0 @@
---- getdelta.sh 2007-07-13 16:30:26.000000000 +0000
-+++ getdelta.sh 2010-08-27 17:23:31.692000002 +0000
-@@ -25,6 +25,9 @@
- VERSION="0.7"
-
- # Changelog
-+# version 0.7.9 2008/10/08
-+# - add second parameter for destination name (EAPI=2)
-+# - quote more carefully
- # version 0.7.8 2007/07/13
- # - added option -O to call of emerge when finding mirrors
- # - replaced some calls of coreutils with bash-internals
-@@ -326,13 +329,13 @@
-
- remove() {
- output "${GREEN}You have chosen to remove ${CYAN}$1\n"
-- pushd ${DISTDIR} >/dev/null 2>&1
-+ pushd -- "${DISTDIR}" >/dev/null 2>&1
- removeme=true
- for n in $(grep -v "^#" ${DO_NOT_REMOVE})
- do
- grep -q $n <<< "$1" && removeme=false && output "${CYAN}${1}${RED} is not deleted, since it matches ${n} in ${DO_NOT_REMOVE}"
- done
-- $removeme && rm -f $1
-+ $removeme && rm -f -- "$1"
- popd >/dev/null 2>&1
- }
-
-@@ -349,7 +352,7 @@
- -e "s/src4/srcDDD/g" \
- -e "s/src5/srcEEE/g" \
- -e "s/src6/srcFFF/g" \
-- -e "s/src7/srcGGG/g" <<< $MASK_FILENAME)
-+ -e "s/src7/srcGGG/g" <<< "$MASK_FILENAME")
- fi
-
- # ignore PR for src-files of firefox
-@@ -375,7 +378,7 @@
- -e "s/rc//g" \
- -e "s/[\._-]//g" \
- -e "s/\+//g" \
-- -e "s/ //g" <<< $MASK_FILENAME)
-+ -e "s/ //g" <<< "$MASK_FILENAME")
- }
-
- # create or update a config-file
-@@ -384,6 +387,7 @@
- add_to_configfile LOCAL_MIRROR "" "set this to one or more (space separated) URI ending with '/' if you want to check one or more local mirror(s) first\n# most people just leave it empty."
- add_to_configfile DELTUP_SERVER "http://linux01.gwdg.de/~nlissne/deltup.php" "deltup-server to use"
- add_to_configfile FETCH "/usr/bin/wget -t 1 --passive-ftp" "command to use for downloading"
-+add_to_configfile FETCHNAME "\$FETCH -O" "command to use for downloading; first parameter is the filename, second the url"
- add_to_configfile QUEUERETRY 15 "number of seconds to wait before a queued request is retried"
- add_to_configfile MAXIMUM_ACCEPTABLE_QUEUEPOS "15" "the maximum queuepos you would accept (if higher download full archive instead)"
- add_to_configfile QUEUETIMEOUT 900 "when a dtu-request is queued - how long should we wait max. before downloading the original archive instead (in seconds)"
-@@ -424,14 +428,14 @@
- add_to_donotremove "^rp-pppoe"
-
-
--if [ -z $1 ]
-+if [ -z "$1" ]
- then
- COLOR=true
- echo -e "${YELLOW}getdelta.sh version ${VERSION}"
- echo "This script has to be called like this:"
- echo -e "${CYAN}$0 <URI>"
- echo -e "\n${YELLOW}To use it, you should just put the following line into your /etc/make.conf"
-- echo -e "${GREEN}FETCHCOMMAND=\"$0 \\\${URI}\""
-+ echo -e "${GREEN}FETCHCOMMAND=\"$0 \\\"\\\${URI}\\\" \\\"\\\${FILE}\\\"\""
- echo -e "\n${YELLOW}There is a config-file ${CYAN}${GETDELTA_CONFIGFILE}${YELLOW} with some variables to control the behaviour of this script."
- echo -e "Edit it to your needs.${NORMAL}"
- exit 1
-@@ -464,10 +468,12 @@
- output "use getdelta.sh for your FETCHCOMMAND, only." &&
- sleep 5 && exit 1
-
--pushd $DISTDIR >/dev/null 2>/dev/null
-+pushd -- "$DISTDIR" >/dev/null 2>/dev/null
- ORIG_URI=$1
- NEW_FILE=$(basename $ORIG_URI)
-
-+[ -z "${NEW_FILE}" ] && NEW_FILE=${ORIG_URI##*/}
-+
- # repoman downloads metadata.dtd with FETCHCOMMAND
- # this should not be done with getdelta - so just fetch the file and exit
-
-@@ -475,7 +481,7 @@
- # dtu files.
- if [ "${NEW_FILE}" = "metadata.dtd" ] || [ "$GETDELTA" = "0" ]
- then
-- $FETCH $@
-+ $FETCHNAME "$NEW_FILE" "$ORIG_URI"
- exit $?
- fi
-
-@@ -516,7 +522,7 @@
- #
- output "${GREEN}Searching for a previously downloaded file in ${YELLOW}${DISTDIR}\n"
-
--first_chars=$(sed 's/[[:digit:]][[:print:]]*$//' <<< $NEW_FILE)
-+first_chars=$(sed 's/[[:digit:]][[:print:]]*$//' <<< "$NEW_FILE")
- length_first_chars=${#first_chars}
- [ $length_first_chars -lt 3 ] && first_chars="${NEW_FILE:0:2}"
-
-@@ -527,7 +533,7 @@
- let len1=${#mask}
- filelist=""
-
--for name in $( ls ${first_chars}* 2>/dev/null )
-+for name in $( ls -- "${first_chars}"* 2>/dev/null )
- do
- mask2=$(mask_name "${name}")
- # add any file, that results in the same mask or differ not more than two letters
-@@ -582,7 +588,7 @@
-
- # find matching part of filename - first: frontmatch
- x=0;
-- a=($NEW_FILE $filelist)
-+ a=("$NEW_FILE" $filelist)
- match=""
- while [ -z "$match" ]
- do
-@@ -657,7 +663,7 @@
- FILE_IS_CORRUPT=false
- if $CHECK_OLD_FILE
- then
-- file_digest=$(grep -h ${best_candidate} ${FILESDIR}/digest-* | sed -n 1p)
-+ file_digest=$(grep -h ${best_candidate} "${FILESDIR}"/digest-* | sed -n 1p)
- if [ "$file_digest" ]
- then
- file_md5=$(cut -d ' ' -f2 <<< "$file_digest")
-@@ -669,7 +675,7 @@
- FILE_IS_CORRUPT=true
- fi
- else
-- if [ $(rev <<< ${best_candidate} | cut -d. -f2 | rev) = "tar" ]
-+ if [ $(rev <<< "${best_candidate}" | cut -d. -f2 | rev) = "tar" ]
- then
- output "${YELLOW}Could not find a digest-file for ${CYAN}${best_candidate}${YELLOW}. Testing file integrity with tar.\n"
- if ! tar -tf ${best_candidate} >/dev/null
-@@ -698,17 +704,16 @@
-
- # Remember where we are, and go to a new dir there we can work
- tmp_dwn_dest="${DISTDIR}/.getdelta-`date +%N`-tmp"
-- mkdir ${tmp_dwn_dest}
-+ mkdir -- "${tmp_dwn_dest}"
- # If user abort Ctrl+C (signal 2), remove tmp-dir; enabable trap again and send it again to stop wget
-- trap "rm -r ${tmp_dwn_dest}; trap 2; kill -2 $$" 2
-- pushd ${tmp_dwn_dest} >/dev/null 2>&1
-+ trap 'rm -r -- "${tmp_dwn_dest}"; trap 2; kill -2 '$$ 2
-+ pushd -- "${tmp_dwn_dest}" >/dev/null 2>&1
-
- # thanks to MATSUI Fe2+ Tetsushi for idea and patch
- FILESIZE=$(stat -c %s "${DISTDIR}/${best_candidate}")
- let TIMELIMIT=${FILESIZE}/${BANDWIDTH}
- [[ $TIMELIMIT -lt $QUEUETIMEOUT ]] && QUEUETIMEOUT=$TIMELIMIT
--
-- if $FETCH "${DELTUP_SERVER}${query}"
-+ if $FETCH "${DELTUP_SERVER}${query}" -O ${best_candidate}-${NEW_FILE}.dtu
- then
- # thanks to deelkar for this much more elegant solution to the "broken pipe" problem with "head -n1"
- GOTFILE=$(ls -c | sed -n 1p)
-@@ -718,15 +723,15 @@
- # may have sento to us.
-
- # first: the request have been queued
-- if [ "${GOTFILE}" = "deltup-queued" ]
-+# if [ "${GOTFILE}" = "deltup-queued" ]
-+ if [[ "$(file -bi ${GOTFILE}|cut -d ";" -f1)" != "application/x-bzip2" && "$(cat ${GOTFILE}|cut -d "," -f1)" != "sorry" ]]
- then
- let QTMOUT=$(date +%s)+QUEUETIMEOUT
-- while [ -f deltup-queued ]
-+ while [[ "$(file -bi ${GOTFILE}|cut -d ";" -f1)" != "application/x-bzip2" && "$(cat ${GOTFILE}|cut -d "," -f1)" != "sorry" ]]
- do
- output "${GREEN}destination file: ${CYAN}${NEW_FILE}\n"
-- output "${YELLOW}$(cat deltup-queued)"
-- QUEUEPOS=$(grep "has been queued" deltup-queued | cut -d. -f2 | cut -d")" -f1)
-- rm -f deltup-queued
-+ output "${YELLOW}$(cat ${GOTFILE})"
-+ QUEUEPOS=$(grep "has been queued" ${GOTFILE} | cut -d. -f2 | cut -d")" -f1)
- TSTAMP=$(date +%s)
- if ((TSTAMP<QTMOUT)) && ((QUEUEPOS<=MAXIMUM_ACCEPTABLE_QUEUEPOS))
- then
-@@ -741,7 +746,7 @@
- sleep 1
- done
- echo -n -e "${NORMAL}"
-- $FETCH "${DELTUP_SERVER}${query}"
-+ $FETCH "${DELTUP_SERVER}${query}" -O ${best_candidate}-${NEW_FILE}.dtu
- GOTFILE=$(ls -c | sed -n 1p)
- else
- if ((TSTAMP>=QTMOUT))
-@@ -761,20 +766,20 @@
- done
- fi
-
-- if [ -f ${best_candidate}-${NEW_FILE}.failed ]
-+ if [ "$(cat ${GOTFILE}|cut -d "," -f1)" = "sorry" ]
- then
- output "\n${RED}The server could not build the dtu-file for ${NEW_FILE}\n"
-- output "${YELLOW}reason:\n${RED}$(cat ${best_candidate}-${NEW_FILE}.failed)\n"
-- rm -rf ${best_candidate}-${NEW_FILE}.failed
-+ output "${YELLOW}reason:\n${RED}$(cat ${GOTFILE})\n"
-+ rm -rf -- "${GOTFILE}"
- fi
-
-- if [ -f ${best_candidate}-${NEW_FILE}.dtu ]
-+ if [ -f "${best_candidate}-${NEW_FILE}.dtu" ]
- then
- output "${GREEN}Successfully fetched the dtu-file - let's build ${NEW_FILE}...\n"
-- downloadsize=$(stat -c %s ${best_candidate}-${NEW_FILE}.dtu)
-- if deltup -p -v -D ${DISTDIR} ${best_candidate}-${NEW_FILE}.dtu
-+ downloadsize=$(stat -c %s "${best_candidate}-${NEW_FILE}.dtu")
-+ if deltup -p -v -D "${DISTDIR}" "${best_candidate}-${NEW_FILE}.dtu"
- then
-- newsize=$(stat -c %s ${NEW_FILE})
-+ newsize=$(stat -c %s "${NEW_FILE}")
- let savedsize=${newsize}-${downloadsize}
- let percent=${savedsize}*100/${newsize}
- unit="bytes"
-@@ -791,8 +796,8 @@
- esac
- output "${YELLOW}This dtu-file saved ${UCOLOR}${savedsize} ${unit} (${percent}%)${YELLOW} download size.\n"
- fi
-- mv -f ${NEW_FILE} ${DISTDIR} &&
-- ${REMOVE_OLD} && remove "${best_candidate}"
-+ mv -f -- "${NEW_FILE}" "${DISTDIR}" &&
-+ ${REMOVE_OLD} && remove ${best_candidate}
- fi
-
- fi # if $FETCH "${DELTUP_SERVER}${query}"
-@@ -812,7 +817,7 @@
- read
- fi
- popd >/dev/null 2>&1
-- rm -rf ${tmp_dwn_dest}
-+ rm -rf -- "${tmp_dwn_dest}"
- #stop respond to trap2
- trap 2
- fi # if ! FILE_IS_CORRUPT
-@@ -824,10 +829,10 @@
-
- # Ok, once we are here, we should have got the delta (and used it)
- # or we still have to download the full file
--if ! [ -f ${DISTDIR}/${NEW_FILE} ]
-+if ! [ -f "${DISTDIR}/${NEW_FILE}" ]
- then
- output "${RED}The dtu could not be fetched,${YELLOW} downloading full file from original URL\n"
-- $FETCH $ORIG_URI
-+ $FETCHNAME "$NEW_FILE" "$ORIG_URI"
- # remember we had a fallback to use correct exitcode for portage
- FALLBACK=$?
- fi
diff --git a/app-portage/getdelta/getdelta-0.7.9-r2.ebuild b/app-portage/getdelta/getdelta-0.7.9-r2.ebuild
deleted file mode 100644
index db9e237e791..00000000000
--- a/app-portage/getdelta/getdelta-0.7.9-r2.ebuild
+++ /dev/null
@@ -1,46 +0,0 @@
-# Copyright 1999-2021 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=5
-
-inherit epatch
-
-DESCRIPTION="dynamic deltup client"
-HOMEPAGE="http://linux01.gwdg.de/~nlissne/"
-SRC_URI="http://linux01.gwdg.de/~nlissne/${PN}-0.7.8.tar.bz2"
-SLOT="0"
-IUSE=""
-LICENSE="GPL-2"
-KEYWORDS="~alpha ~amd64 ~sparc ~x86"
-
-RDEPEND="app-portage/deltup
- dev-util/bdelta"
-
-S=${WORKDIR}
-
-src_prepare() {
- epatch "${FILESDIR}"/${P}.patch
-}
-
-src_install() {
- # portage has moved make.globals, so we just hotfix it
- sed -i -e "s:/etc/make.globals:/usr/share/portage/config/make.globals:g" "${WORKDIR}"/getdelta.sh || die "Couldn't fix make.globals path"
-
- # make.conf has now two locations. This should fix it ( #461726 )
- sed -i -e "s:source /etc/make.conf:source /etc/make.conf || source /etc/portage/make.conf:" "${WORKDIR}"/getdelta.sh || die "Couldn't fix make.conf path"
-
- sed -i -e "s:/bin/sh:/bin/bash:" "${WORKDIR}"/getdelta.sh || die
- dobin "${WORKDIR}"/getdelta.sh
-}
-
-pkg_postinst() {
- elog "You need to put"
- elog "FETCHCOMMAND=\"/usr/bin/getdelta.sh \\\${URI}\""
- elog "into your /etc/make.conf to make use of getdelta"
-
- # make sure permissions are ok
- touch "${ROOT}"/var/log/getdelta.log
- mkdir -p "${ROOT}"/etc/deltup
- chown -R portage:portage "${ROOT}"/{var/log/getdelta.log,etc/deltup}
- chmod -R ug+rwX "${ROOT}"/{var/log/getdelta.log,etc/deltup}
-}
diff --git a/app-portage/getdelta/metadata.xml b/app-portage/getdelta/metadata.xml
deleted file mode 100644
index f3de5f693ed..00000000000
--- a/app-portage/getdelta/metadata.xml
+++ /dev/null
@@ -1,8 +0,0 @@
-<?xml version="1.0" encoding="UTF-8"?>
-<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
-<pkgmetadata>
- <maintainer type="person">
- <email>patrick@gentoo.org</email>
- <name>Patrick Lauer</name>
- </maintainer>
-</pkgmetadata>
diff --git a/profiles/package.mask b/profiles/package.mask
index 27140ed208e..457005a8a05 100644
--- a/profiles/package.mask
+++ b/profiles/package.mask
@@ -309,11 +309,6 @@ dev-cpp/libxsd-frontend
dev-cpp/libcutl
dev-util/build
-# John Helmert III <ajak@gentoo.org> (2021-07-26)
-# Open security bug, service backing it seems to be dead, making these
-# packages useless. Old EAPIs. Removal on 2021-08-26. Bug #630814
-app-portage/getdelta
-
# Andrew Ammerlaan <andrewammerlaan@gentoo.org> (2021-07-12)
# Version 3.3.0 suffers from ridiculously high CPU usage, this version has
# therefore been retracted upstream.